%define languageenglazy Telugu
%define languagecode    te
%define lc_ctype        te_IN

%define upstream_date 20050929
%define upstream_version 0.01
%define upstream_release 2

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_date}.1
Release:        %mkrel 13
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization
URL:            http://aspell.net/
Source0:        ftp://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/aspell6-%{languagecode}-%{upstream_version}-%{upstream_release}.tar.bz2

BuildRequires:  hunspell-devel
BuildRequires:  hunspell
BuildRequires:  aspell

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-te
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n aspell6-%{languagecode}-%{upstream_version}-%{upstream_release}
prezip-bin -d < te.cwl > te.txt

%build
export LANG=te_IN.utf8
wordlist2hunspell te.txt te_IN

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc COPYING Copyright
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Thu Feb 04 2016 umeabot <umeabot> 0.20050929.1-13.mga6
+ Revision: 934396
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20050929.1-12.mga5
+ Revision: 741450
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20050929.1-11.mga5
+ Revision: 680313
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20050929.1-10.mga4
+ Revision: 505703
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20050929.1-9.mga3
+ Revision: 353738
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.20050929.1-8.mga2
+ Revision: 224883
- add requirement on locales (mga#4632)
- adapt .spec to the current policies

* Sat Mar 19 2011 dmorgan <dmorgan> 0.20050929.1-6.mga1
+ Revision: 74382
- Fix buildrequires
- Fix aspell requires
- imported package hunspell-te


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050929-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Mar 08 2010 Parag <pnemade AT redhat.com> - 0.20050929-5
- Resolves:rh#568227-[te_IN]Fix %%description and license tag                                                

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050929-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 17 2009 Parag <pnemade@redhat.com> - 0.20050929-3
- Use aspell source instead to pull source as BR:aspell-te
- Resolves:rh#511262 buildrequires aspell-te

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050929-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Sep 12 2008 Caolan McNamara <caolanm@redhat.com> - 0.20050929-1
- initial version


